<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ArtifactsWorkspaceSettings">
    <artifacts-to-build>
      <artifact name="w" />
    </artifacts-to-build>
  </component>
  <component name="ChangeListManager">
    <list default="true" id="5a15d30e-8e9c-4de8-9bae-265493f4de98" name="Default" comment="">
      <change beforePath="$PROJECT_DIR$/src/src/jpp/wuetunes/WueTunes.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/src/jpp/wuetunes/WueTunes.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/src/jpp/wuetunes/gui/gui.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/src/jpp/wuetunes/gui/gui.java" afterDir="false" />
    </list>
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="CoverageDataManager">
    <SUITE FILE_PATH="coverage/w$Main.coverage" NAME="Main Coverage Results" MODIFIED="1520028015731" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="idea" COVERAGE_BY_TEST_ENABLED="false" COVERAGE_TRACING_ENABLED="false">
      <FILTER>jpp.wuetunes.model.*</FILTER>
    </SUITE>
  </component>
  <component name="DatabaseView">
    <option name="SHOW_INTERMEDIATE" value="true" />
    <option name="GROUP_DATA_SOURCES" value="true" />
    <option name="GROUP_SCHEMA" value="true" />
    <option name="GROUP_CONTENTS" value="false" />
    <option name="SORT_POSITIONED" value="false" />
    <option name="SHOW_EMPTY_GROUPS" value="false" />
    <option name="AUTO_SCROLL_FROM_SOURCE" value="false" />
    <option name="HIDDEN_KINDS">
      <set />
    </option>
    <expand>
      <path>
        <item name="Database" type="3277223f:DatabaseStructure$DbRootGroup" />
        <item name="medialibrary" type="feb32156:DbDataSourceImpl" />
      </path>
      <path>
        <item name="Database" type="3277223f:DatabaseStructure$DbRootGroup" />
        <item name="medialibrary" type="feb32156:DbDataSourceImpl" />
        <item name="schemas" type="d4e8921:DatabaseStructure$FamilyGroup" />
      </path>
      <path>
        <item name="Database" type="3277223f:DatabaseStructure$DbRootGroup" />
        <item name="medialibrary" type="feb32156:DbDataSourceImpl" />
        <item name="schemas" type="d4e8921:DatabaseStructure$FamilyGroup" />
        <item name="main: schema" type="981a47c2:SqliteImplModel$Schema" />
      </path>
      <path>
        <item name="Database" type="3277223f:DatabaseStructure$DbRootGroup" />
        <item name="medialibrary" type="feb32156:DbDataSourceImpl" />
        <item name="schemas" type="d4e8921:DatabaseStructure$FamilyGroup" />
        <item name="main: schema" type="981a47c2:SqliteImplModel$Schema" />
        <item name="genres: table" type="3d80ac25:SqliteImplModel$Table" />
      </path>
      <path>
        <item name="Database" type="3277223f:DatabaseStructure$DbRootGroup" />
        <item name="medialibrary" type="feb32156:DbDataSourceImpl" />
        <item name="schemas" type="d4e8921:DatabaseStructure$FamilyGroup" />
        <item name="main: schema" type="981a47c2:SqliteImplModel$Schema" />
        <item name="songs: table" type="3d80ac25:SqliteImplModel$Table" />
      </path>
    </expand>
    <select />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="375">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/src/jpp/wuetunes/io/files/id3/ID3FrameType.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="408">
              <caret line="26" column="51" selection-start-line="26" selection-start-column="51" selection-end-line="26" selection-end-column="51" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/src/jpp/wuetunes/io/files/id3/ID3Tag.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="153">
              <caret line="11" column="40" selection-start-line="11" selection-start-column="40" selection-end-line="11" selection-end-column="40" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/src/jpp/wuetunes/io/files/id3/ID3TagHeader.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="68">
              <caret line="4" column="13" selection-start-line="4" selection-start-column="13" selection-end-line="4" selection-end-column="13" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/src/jpp/wuetunes/gui/Playlist.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="544">
              <caret line="38" column="53" selection-start-line="38" selection-start-column="53" selection-end-line="38" selection-end-column="53" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/src/jpp/wuetunes/model/Playlist.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="34">
              <caret line="106" column="46" selection-start-line="106" selection-start-column="46" selection-end-line="106" selection-end-column="46" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/src/jpp/wuetunes/WueTunes.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="221">
              <caret line="45" selection-start-line="45" selection-end-line="45" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/src/jpp/wuetunes/gui/gui.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="8649">
              <caret line="625" column="13" selection-start-line="625" selection-start-column="13" selection-end-line="625" selection-end-column="13" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="das://29048df1-464e-4b44-8ca1-71db619ab75f/schema/main/table/genres">
          <provider selected="true" editor-type-id="com.intellij.database.editor.DatabaseTableFileEditorProvider">
            <state>
              <filtering enabled="true" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="das://29048df1-464e-4b44-8ca1-71db619ab75f/schema/main/table/songs">
          <provider selected="true" editor-type-id="com.intellij.database.editor.DatabaseTableFileEditorProvider">
            <state>
              <filtering enabled="true" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Enum" />
        <option value="Interface" />
        <option value="Kotlin File" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>end</find>
      <find>prev</find>
      <find>playcou</find>
      <find>shuffle</find>
      <find>database</find>
      <find>yearTe</find>
      <find>filter</find>
      <find>catch</find>
      <find>Sys</find>
      <find>StackT</find>
      <find>pictu</find>
      <find>sys</find>
      <find>unt</find>
      <find>sy</find>
      <find>\u</find>
      <find>Filter</find>
      <find>collections.s</find>
      <find>playco</find>
      <find>gui.</find>
      <find>synch</find>
      <find>b</find>
      <find>ti</find>
      <find>load</find>
      <find>next</find>
      <find>file</find>
      <find>filechoos</find>
      <find>fk</find>
      <find>null</find>
      <find>2017-07-08</find>
      <find>launch</find>
    </findStrings>
    <replaceStrings>
      <replace />
    </replaceStrings>
    <dirStrings>
      <dir>C:\Users\Seidlein\Desktop\w\src\src\jpp\wuetunes\io\files\id3</dir>
    </dirStrings>
  </component>
  <component name="HighlightingSettingsPerFile">
    <setting file="file://$PROJECT_DIR$/src/src/jpp/wuetunes/gui/gui.java" root0="SKIP_INSPECTION" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/src/src/jpp/wuetunes/io/files/id3/ID3Encoding.java" />
        <option value="$PROJECT_DIR$/src/src/jpp/wuetunes/model/metadata/Main.java" />
        <option value="$PROJECT_DIR$/src/src/jpp/wuetunes/io/files/id3/ID3FrameHeader.java" />
        <option value="$PROJECT_DIR$/src/src/jpp/wuetunes/ID3TagToMetadataConverter.java" />
        <option value="$PROJECT_DIR$/src/src/jpp/wuetunes/io/files/SongFileImportFailure.java" />
        <option value="$PROJECT_DIR$/src/src/jpp/wuetunes/io/files/SongsFileImportResult.java" />
        <option value="$PROJECT_DIR$/src/src/jpp/wuetunes/io/files/id3/ID3TagHeader.java" />
        <option value="$PROJECT_DIR$/src/src/jpp/wuetunes/io/files/id3/ID3Tag.java" />
        <option value="$PROJECT_DIR$/src/src/jpp/wuetunes/model/Playlist.java" />
        <option value="$PROJECT_DIR$/src/src/jpp/wuetunes/model/Main.java" />
        <option value="$PROJECT_DIR$/src/src/jpp/wuetunes/io/files/Main.java" />
        <option value="$PROJECT_DIR$/src/src/jpp/wuetunes/io/files/id3/ID3TagReaderException.java" />
        <option value="$PROJECT_DIR$/src/src/jpp/wuetunes/util/Validate.java" />
        <option value="$PROJECT_DIR$/src/src/jpp/wuetunes/io/files/id3/ID3FrameType.java" />
        <option value="$PROJECT_DIR$/src/src/jpp/wuetunes/io/files/id3/ID3Utils.java" />
        <option value="$PROJECT_DIR$/src/src/jpp/wuetunes/model/metadata/Metadata.java" />
        <option value="$PROJECT_DIR$/src/src/jpp/wuetunes/io/database/DatabaseReadException.java" />
        <option value="$PROJECT_DIR$/src/src/jpp/wuetunes/io/database/DatabaseWriteException.java" />
        <option value="$PROJECT_DIR$/src/src/jpp/wuetunes/io/database/DatabaseOpenException.java" />
        <option value="$PROJECT_DIR$/src/src/jpp/wuetunes/io/database/InconsistentDatabaseException.java" />
        <option value="$PROJECT_DIR$/src/src/jpp/wuetunes/io/files/id3/Main.java" />
        <option value="$PROJECT_DIR$/src/src/jpp/wuetunes/Wuetunes.java" />
        <option value="$PROJECT_DIR$/src/src/jpp/wuetunes/io/files/id3/ID3Frame.java" />
        <option value="$PROJECT_DIR$/src/src/jpp/wuetunes/gui/CF.java" />
        <option value="$PROJECT_DIR$/src/src/jpp/wuetunes/gui/CFI.java" />
        <option value="$PROJECT_DIR$/src/src/jpp/wuetunes/gui/CFG.java" />
        <option value="$PROJECT_DIR$/src/src/jpp/wuetunes/gui/CFU.java" />
        <option value="$PROJECT_DIR$/src/src/jpp/wuetunes/gui/cellFactory/CF.java" />
        <option value="$PROJECT_DIR$/src/src/jpp/wuetunes/gui/cellFactory/CFG.java" />
        <option value="$PROJECT_DIR$/src/src/jpp/wuetunes/gui/cellFactory/CFI.java" />
        <option value="$PROJECT_DIR$/src/src/jpp/wuetunes/gui/cellFactory/CFU.java" />
        <option value="$PROJECT_DIR$/src/src/jpp/wuetunes/gui/cellFactory/CFD.java" />
        <option value="$PROJECT_DIR$/src/src/jpp/wuetunes/gui/AlertBox.java" />
        <option value="$PROJECT_DIR$/src/src/jpp/wuetunes/model/Song.java" />
        <option value="$PROJECT_DIR$/src/src/jpp/wuetunes/gui/cellFactory/AudioPlaylist.java" />
        <option value="$PROJECT_DIR$/src/src/jpp/wuetunes/gui/EmbeddedMediaPlayer.java" />
        <option value="$PROJECT_DIR$/src/src/jpp/wuetunes/model/metadata/GenreManager.java" />
        <option value="$PROJECT_DIR$/src/src/jpp/wuetunes/model/metadata/Genre.java" />
        <option value="$PROJECT_DIR$/src/src/jpp/wuetunes/io/files/id3/ID3TagToMetadataConverter.java" />
        <option value="$PROJECT_DIR$/src/src/jpp/wuetunes/io/files/SongsFileImporter.java" />
        <option value="$PROJECT_DIR$/src/src/jpp/wuetunes/Main.java" />
        <option value="$PROJECT_DIR$/src/src/jpp/wuetunes/gui/Playlist.java" />
        <option value="$PROJECT_DIR$/src/src/jpp/wuetunes/io/database/DatabaseConnection.java" />
        <option value="$PROJECT_DIR$/src/src/jpp/wuetunes/gui/MediaControl.java" />
        <option value="$PROJECT_DIR$/src/src/jpp/wuetunes/gui/table.java" />
        <option value="$PROJECT_DIR$/src/src/jpp/wuetunes/Readme.txt" />
        <option value="$PROJECT_DIR$/src/src/jpp/wuetunes/gui/cellFactory/CFP.java" />
        <option value="$PROJECT_DIR$/src/src/jpp/wuetunes/io/files/id3/ID3TagReader.java" />
        <option value="$PROJECT_DIR$/src/src/jpp/wuetunes/gui/gui.java" />
        <option value="$PROJECT_DIR$/src/src/jpp/wuetunes/WueTunes.java" />
        <option value="$PROJECT_DIR$/../multimod/multimod_w1008_data.sql" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="-9" />
    <option name="width" value="978" />
    <option name="height" value="1039" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="w" type="b2602c69:ProjectViewProjectNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="w" type="b2602c69:ProjectViewProjectNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="w" type="b2602c69:ProjectViewProjectNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="w" type="b2602c69:ProjectViewProjectNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
              <item name="database" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="w" type="b2602c69:ProjectViewProjectNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="w" type="b2602c69:ProjectViewProjectNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="wuetunes" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="w" type="b2602c69:ProjectViewProjectNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="wuetunes" type="462c0819:PsiDirectoryNode" />
              <item name="gui" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="w" type="b2602c69:ProjectViewProjectNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="wuetunes" type="462c0819:PsiDirectoryNode" />
              <item name="io" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="w" type="b2602c69:ProjectViewProjectNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="wuetunes" type="462c0819:PsiDirectoryNode" />
              <item name="io" type="462c0819:PsiDirectoryNode" />
              <item name="files" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="w" type="b2602c69:ProjectViewProjectNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="wuetunes" type="462c0819:PsiDirectoryNode" />
              <item name="model" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="w" type="b2602c69:ProjectViewProjectNode" />
              <item name="External Libraries" type="cb654da1:ExternalLibrariesNode" />
            </path>
            <path>
              <item name="w" type="b2602c69:ProjectViewProjectNode" />
              <item name="External Libraries" type="cb654da1:ExternalLibrariesNode" />
              <item name="sqlite-jdbc-3.21.0" type="70bed36:NamedLibraryElementNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="PackagesPane" />
      <pane id="Scope" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="SearchEverywhereHistoryKey" value=".&#9;FILE&#9;file://C:/Users/Seidlein/Desktop/w/src/src/jpp/wuetunes/io/files/id3/ID3FrameContentType.java&#10;ID3TagToMetadataConverter&#9;FILE&#9;file://C:/Users/Seidlein/Desktop/w/src/src/jpp/wuetunes/ID3TagToMetadataConverter.java&#10;songfactory&#9;PSI&#9;JAVA://jpp.wuetunes.model.SongFilterFactory" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="com.android.tools.idea.instantapp.provision.ProvisionBeforeRunTaskProvider.myTimeStamp" value="1577224941138" />
    <property name="com.intellij.ide.scratch.LRUPopupBuilder$2/Languages" value="Properties" />
    <property name="database.console.LAST_STATE" value="false" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="project.structure.last.edited" value="Artifacts" />
    <property name="project.structure.proportion" value="0.15" />
    <property name="project.structure.side.proportion" value="0.2" />
    <property name="run.code.analysis.last.selected.profile" value="pProject Default" />
    <property name="settings.editor.selected.configurable" value="vcs.Git" />
    <property name="settings.editor.splitter.proportion" value="0.22918318" />
  </component>
  <component name="RecentsManager">
    <key name="MoveFile.RECENT_KEYS">
      <recent name="C:\Users\Seidlein\Desktop\w\src\src\jpp\wuetunes\gui" />
      <recent name="C:\Users\Seidlein\Desktop\w\src\src\sql" />
      <recent name="C:\Users\Seidlein\Desktop\w\src" />
      <recent name="C:\Users\Seidlein\Desktop\w\src\src" />
    </key>
    <key name="MoveClassesOrPackagesDialog.RECENTS_KEY">
      <recent name="jpp.wuetunes.io" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="C:\Users\Seidlein\Desktop\w\src\src\main\resources\database" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="Application.WueTunes">
    <configuration default="true" type="Applet">
      <option name="HEIGHT" value="0" />
      <option name="POLICY_FILE" value="$APPLICATION_HOME_DIR$/bin/appletviewer.policy" />
      <option name="WIDTH" value="0" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="EmbeddedMediaPlayer" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="jpp.wuetunes.gui.EmbeddedMediaPlayer" />
      <module name="src" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="jpp.wuetunes.gui.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="Main (1)" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="jpp.wuetunes.Main" />
      <module name="src" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="jpp.wuetunes.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="Main" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="jpp.wuetunes.io.files.id3.Main" />
      <module name="src" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="jpp.wuetunes.io.files.id3.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="WueTunes" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="jpp.wuetunes.WueTunes" />
      <module name="src" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="jpp.wuetunes.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="Application" factoryName="Application">
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="gui" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="jpp.wuetunes.gui.gui" />
      <module name="src" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="jpp.wuetunes.gui.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="JUnit" factoryName="JUnit">
      <option name="TEST_OBJECT" value="class" />
      <option name="VM_PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="TestNG">
      <option name="VM_PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <properties />
      <listeners />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="#org.jetbrains.idea.devkit.run.PluginConfigurationType">
      <module name="" />
      <option name="VM_PARAMETERS" value="-Xmx512m -Xms256m -XX:MaxPermSize=250m -ea" />
      <option name="PROGRAM_PARAMETERS" />
      <predefined_log_file enabled="true" id="idea.log" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <list>
      <item itemvalue="Application.gui" />
      <item itemvalue="Application.Main" />
      <item itemvalue="Application.Main (1)" />
      <item itemvalue="Application.WueTunes" />
      <item itemvalue="Application.EmbeddedMediaPlayer" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="Application.WueTunes" />
        <item itemvalue="Application.gui" />
        <item itemvalue="Application.EmbeddedMediaPlayer" />
        <item itemvalue="Application.Main (1)" />
        <item itemvalue="Application.Main" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration" cleanupOnStartRun="true">
    <configuration>C:\Users\Seidlein\AppData\Roaming\Subversion</configuration>
    <supportedVersion>125</supportedVersion>
  </component>
  <component name="SvnFileUrlMappingImpl">
    <option name="myMappingRoots">
      <list>
        <SvnCopyRootSimple>
          <option name="myVcsRoot" value="C:\Users\Seidlein\Desktop\w" />
          <option name="myCopyRoot" value="C:\Users\Seidlein\Desktop\w" />
        </SvnCopyRootSimple>
        <SvnCopyRootSimple>
          <option name="myVcsRoot" value="C:\Users\Seidlein\Desktop\w\src" />
          <option name="myCopyRoot" value="C:\Users\Seidlein\Desktop\w\src" />
        </SvnCopyRootSimple>
      </list>
    </option>
    <option name="myMoreRealMappingRoots">
      <list>
        <SvnCopyRootSimple>
          <option name="myVcsRoot" value="C:\Users\Seidlein\Desktop\w" />
          <option name="myCopyRoot" value="C:\Users\Seidlein\Desktop\w" />
        </SvnCopyRootSimple>
      </list>
    </option>
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="5a15d30e-8e9c-4de8-9bae-265493f4de98" name="Default" comment="" />
      <created>1519940190074</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1519940190074</updated>
      <workItem from="1550351484800" duration="879000" />
      <workItem from="1550450830175" duration="617000" />
      <workItem from="1550451603930" duration="149000" />
      <workItem from="1550601472966" duration="651000" />
      <workItem from="1550621505690" duration="784000" />
      <workItem from="1553649355465" duration="1197000" />
      <workItem from="1557089039474" duration="3789000" />
      <workItem from="1557168246478" duration="2290000" />
      <workItem from="1577224833426" duration="383000" />
    </task>
    <task id="LOCAL-00409">
      <created>1520490433626</created>
      <option name="number" value="00409" />
      <option name="presentableId" value="LOCAL-00409" />
      <option name="project" value="LOCAL" />
      <updated>1520490433626</updated>
    </task>
    <task id="LOCAL-00410">
      <created>1520490544831</created>
      <option name="number" value="00410" />
      <option name="presentableId" value="LOCAL-00410" />
      <option name="project" value="LOCAL" />
      <updated>1520490544831</updated>
    </task>
    <task id="LOCAL-00411">
      <created>1520491303919</created>
      <option name="number" value="00411" />
      <option name="presentableId" value="LOCAL-00411" />
      <option name="project" value="LOCAL" />
      <updated>1520491303919</updated>
    </task>
    <task id="LOCAL-00412">
      <created>1520492687661</created>
      <option name="number" value="00412" />
      <option name="presentableId" value="LOCAL-00412" />
      <option name="project" value="LOCAL" />
      <updated>1520492687661</updated>
    </task>
    <task id="LOCAL-00413">
      <created>1520493206427</created>
      <option name="number" value="00413" />
      <option name="presentableId" value="LOCAL-00413" />
      <option name="project" value="LOCAL" />
      <updated>1520493206427</updated>
    </task>
    <task id="LOCAL-00414">
      <created>1520493293268</created>
      <option name="number" value="00414" />
      <option name="presentableId" value="LOCAL-00414" />
      <option name="project" value="LOCAL" />
      <updated>1520493293268</updated>
    </task>
    <task id="LOCAL-00415">
      <created>1520493461758</created>
      <option name="number" value="00415" />
      <option name="presentableId" value="LOCAL-00415" />
      <option name="project" value="LOCAL" />
      <updated>1520493461758</updated>
    </task>
    <task id="LOCAL-00416">
      <created>1520493539518</created>
      <option name="number" value="00416" />
      <option name="presentableId" value="LOCAL-00416" />
      <option name="project" value="LOCAL" />
      <updated>1520493539518</updated>
    </task>
    <task id="LOCAL-00417">
      <created>1520493637732</created>
      <option name="number" value="00417" />
      <option name="presentableId" value="LOCAL-00417" />
      <option name="project" value="LOCAL" />
      <updated>1520493637732</updated>
    </task>
    <task id="LOCAL-00418">
      <created>1520493811470</created>
      <option name="number" value="00418" />
      <option name="presentableId" value="LOCAL-00418" />
      <option name="project" value="LOCAL" />
      <updated>1520493811470</updated>
    </task>
    <task id="LOCAL-00419">
      <created>1520493951279</created>
      <option name="number" value="00419" />
      <option name="presentableId" value="LOCAL-00419" />
      <option name="project" value="LOCAL" />
      <updated>1520493951279</updated>
    </task>
    <task id="LOCAL-00420">
      <created>1520494213012</created>
      <option name="number" value="00420" />
      <option name="presentableId" value="LOCAL-00420" />
      <option name="project" value="LOCAL" />
      <updated>1520494213012</updated>
    </task>
    <task id="LOCAL-00421">
      <created>1520494294786</created>
      <option name="number" value="00421" />
      <option name="presentableId" value="LOCAL-00421" />
      <option name="project" value="LOCAL" />
      <updated>1520494294786</updated>
    </task>
    <task id="LOCAL-00422">
      <created>1520494420861</created>
      <option name="number" value="00422" />
      <option name="presentableId" value="LOCAL-00422" />
      <option name="project" value="LOCAL" />
      <updated>1520494420861</updated>
    </task>
    <task id="LOCAL-00423">
      <created>1520494552029</created>
      <option name="number" value="00423" />
      <option name="presentableId" value="LOCAL-00423" />
      <option name="project" value="LOCAL" />
      <updated>1520494552029</updated>
    </task>
    <task id="LOCAL-00424">
      <created>1520494697609</created>
      <option name="number" value="00424" />
      <option name="presentableId" value="LOCAL-00424" />
      <option name="project" value="LOCAL" />
      <updated>1520494697609</updated>
    </task>
    <task id="LOCAL-00425">
      <created>1520494879394</created>
      <option name="number" value="00425" />
      <option name="presentableId" value="LOCAL-00425" />
      <option name="project" value="LOCAL" />
      <updated>1520494879395</updated>
    </task>
    <task id="LOCAL-00426">
      <created>1520494984061</created>
      <option name="number" value="00426" />
      <option name="presentableId" value="LOCAL-00426" />
      <option name="project" value="LOCAL" />
      <updated>1520494984061</updated>
    </task>
    <task id="LOCAL-00427">
      <created>1520495108661</created>
      <option name="number" value="00427" />
      <option name="presentableId" value="LOCAL-00427" />
      <option name="project" value="LOCAL" />
      <updated>1520495108661</updated>
    </task>
    <task id="LOCAL-00428">
      <created>1520495137655</created>
      <option name="number" value="00428" />
      <option name="presentableId" value="LOCAL-00428" />
      <option name="project" value="LOCAL" />
      <updated>1520495137655</updated>
    </task>
    <task id="LOCAL-00429">
      <created>1520502397041</created>
      <option name="number" value="00429" />
      <option name="presentableId" value="LOCAL-00429" />
      <option name="project" value="LOCAL" />
      <updated>1520502397041</updated>
    </task>
    <task id="LOCAL-00430">
      <created>1520502964118</created>
      <option name="number" value="00430" />
      <option name="presentableId" value="LOCAL-00430" />
      <option name="project" value="LOCAL" />
      <updated>1520502964118</updated>
    </task>
    <task id="LOCAL-00431">
      <created>1520503246681</created>
      <option name="number" value="00431" />
      <option name="presentableId" value="LOCAL-00431" />
      <option name="project" value="LOCAL" />
      <updated>1520503246681</updated>
    </task>
    <task id="LOCAL-00432">
      <created>1520503407976</created>
      <option name="number" value="00432" />
      <option name="presentableId" value="LOCAL-00432" />
      <option name="project" value="LOCAL" />
      <updated>1520503407976</updated>
    </task>
    <task id="LOCAL-00433">
      <created>1520503918320</created>
      <option name="number" value="00433" />
      <option name="presentableId" value="LOCAL-00433" />
      <option name="project" value="LOCAL" />
      <updated>1520503918320</updated>
    </task>
    <task id="LOCAL-00434">
      <created>1520504135650</created>
      <option name="number" value="00434" />
      <option name="presentableId" value="LOCAL-00434" />
      <option name="project" value="LOCAL" />
      <updated>1520504135650</updated>
    </task>
    <task id="LOCAL-00435">
      <created>1520504678353</created>
      <option name="number" value="00435" />
      <option name="presentableId" value="LOCAL-00435" />
      <option name="project" value="LOCAL" />
      <updated>1520504678353</updated>
    </task>
    <task id="LOCAL-00436">
      <created>1520504737383</created>
      <option name="number" value="00436" />
      <option name="presentableId" value="LOCAL-00436" />
      <option name="project" value="LOCAL" />
      <updated>1520504737383</updated>
    </task>
    <task id="LOCAL-00437">
      <created>1520504833724</created>
      <option name="number" value="00437" />
      <option name="presentableId" value="LOCAL-00437" />
      <option name="project" value="LOCAL" />
      <updated>1520504833724</updated>
    </task>
    <task id="LOCAL-00438">
      <created>1520505248087</created>
      <option name="number" value="00438" />
      <option name="presentableId" value="LOCAL-00438" />
      <option name="project" value="LOCAL" />
      <updated>1520505248087</updated>
    </task>
    <task id="LOCAL-00439">
      <created>1520505350153</created>
      <option name="number" value="00439" />
      <option name="presentableId" value="LOCAL-00439" />
      <option name="project" value="LOCAL" />
      <updated>1520505350153</updated>
    </task>
    <task id="LOCAL-00440">
      <created>1520505813690</created>
      <option name="number" value="00440" />
      <option name="presentableId" value="LOCAL-00440" />
      <option name="project" value="LOCAL" />
      <updated>1520505813690</updated>
    </task>
    <task id="LOCAL-00441">
      <created>1520670535757</created>
      <option name="number" value="00441" />
      <option name="presentableId" value="LOCAL-00441" />
      <option name="project" value="LOCAL" />
      <updated>1520670535757</updated>
    </task>
    <task id="LOCAL-00442">
      <created>1520684076996</created>
      <option name="number" value="00442" />
      <option name="presentableId" value="LOCAL-00442" />
      <option name="project" value="LOCAL" />
      <updated>1520684076996</updated>
    </task>
    <task id="LOCAL-00443">
      <created>1520686194541</created>
      <option name="number" value="00443" />
      <option name="presentableId" value="LOCAL-00443" />
      <option name="project" value="LOCAL" />
      <updated>1520686194541</updated>
    </task>
    <task id="LOCAL-00444">
      <created>1520756306435</created>
      <option name="number" value="00444" />
      <option name="presentableId" value="LOCAL-00444" />
      <option name="project" value="LOCAL" />
      <updated>1520756306436</updated>
    </task>
    <task id="LOCAL-00445">
      <created>1520782458502</created>
      <option name="number" value="00445" />
      <option name="presentableId" value="LOCAL-00445" />
      <option name="project" value="LOCAL" />
      <updated>1520782458502</updated>
    </task>
    <task id="LOCAL-00446">
      <created>1520846499779</created>
      <option name="number" value="00446" />
      <option name="presentableId" value="LOCAL-00446" />
      <option name="project" value="LOCAL" />
      <updated>1520846499780</updated>
    </task>
    <task id="LOCAL-00447">
      <created>1520880209295</created>
      <option name="number" value="00447" />
      <option name="presentableId" value="LOCAL-00447" />
      <option name="project" value="LOCAL" />
      <updated>1520880209295</updated>
    </task>
    <task id="LOCAL-00448">
      <created>1520967462028</created>
      <option name="number" value="00448" />
      <option name="presentableId" value="LOCAL-00448" />
      <option name="project" value="LOCAL" />
      <updated>1520967462028</updated>
    </task>
    <task id="LOCAL-00449">
      <created>1521039224427</created>
      <option name="number" value="00449" />
      <option name="presentableId" value="LOCAL-00449" />
      <option name="project" value="LOCAL" />
      <updated>1521039224427</updated>
    </task>
    <task id="LOCAL-00450">
      <created>1521059115779</created>
      <option name="number" value="00450" />
      <option name="presentableId" value="LOCAL-00450" />
      <option name="project" value="LOCAL" />
      <updated>1521059115780</updated>
    </task>
    <task id="LOCAL-00451">
      <created>1521111252852</created>
      <option name="number" value="00451" />
      <option name="presentableId" value="LOCAL-00451" />
      <option name="project" value="LOCAL" />
      <updated>1521111252853</updated>
    </task>
    <task id="LOCAL-00452">
      <created>1521120913334</created>
      <option name="number" value="00452" />
      <option name="presentableId" value="LOCAL-00452" />
      <option name="project" value="LOCAL" />
      <updated>1521120913335</updated>
    </task>
    <task id="LOCAL-00453">
      <created>1521121001571</created>
      <option name="number" value="00453" />
      <option name="presentableId" value="LOCAL-00453" />
      <option name="project" value="LOCAL" />
      <updated>1521121001571</updated>
    </task>
    <task id="LOCAL-00454">
      <created>1521123970361</created>
      <option name="number" value="00454" />
      <option name="presentableId" value="LOCAL-00454" />
      <option name="project" value="LOCAL" />
      <updated>1521123970361</updated>
    </task>
    <task id="LOCAL-00455">
      <created>1521705609797</created>
      <option name="number" value="00455" />
      <option name="presentableId" value="LOCAL-00455" />
      <option name="project" value="LOCAL" />
      <updated>1521705609798</updated>
    </task>
    <task id="LOCAL-00456">
      <created>1521705750976</created>
      <option name="number" value="00456" />
      <option name="presentableId" value="LOCAL-00456" />
      <option name="project" value="LOCAL" />
      <updated>1521705750976</updated>
    </task>
    <task id="LOCAL-00457">
      <created>1521705951232</created>
      <option name="number" value="00457" />
      <option name="presentableId" value="LOCAL-00457" />
      <option name="project" value="LOCAL" />
      <updated>1521705951232</updated>
    </task>
    <option name="localTasksCounter" value="458" />
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="10739000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="-7" y="-7" width="1550" height="838" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info content_ui="combo" id="Project" order="0" visible="true" weight="0.22885907" />
      <window_info id="Structure" order="1" weight="0.25" />
      <window_info id="Capture Tool" order="2" />
      <window_info id="Designer" order="3" />
      <window_info id="UI Designer" order="4" />
      <window_info id="Favorites" order="5" side_tool="true" />
      <window_info id="Image Layers" order="6" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" sideWeight="0.49530202" weight="0.04249292" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.39364034" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Event Log" order="7" sideWeight="0.504698" side_tool="true" visible="true" weight="0.04249292" />
      <window_info anchor="bottom" id="Version Control" order="8" weight="0.32894737" />
      <window_info anchor="bottom" id="Terminal" order="9" weight="0.32894737" />
      <window_info anchor="bottom" id="Messages" order="10" sideWeight="0.49932885" weight="0.04249292" />
      <window_info anchor="bottom" id="Inspection Results" order="11" weight="0.32894737" />
      <window_info anchor="bottom" id="Database Console" order="12" weight="0.2917847" />
      <window_info anchor="bottom" id="Docker" order="13" show_stripe_button="false" />
      <window_info anchor="bottom" id="Database Changes" order="14" />
      <window_info anchor="right" id="Commander" order="0" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Palette" order="3" />
      <window_info anchor="right" id="Maven Projects" order="4" />
      <window_info anchor="right" id="Capture Analysis" order="5" />
      <window_info anchor="right" id="Coverage" order="6" side_tool="true" weight="0.16458334" />
      <window_info anchor="right" id="Theme Preview" order="7" />
      <window_info anchor="right" id="Palette&#9;" order="8" />
      <window_info anchor="right" id="Dynamic Properties" order="9" />
      <window_info anchor="right" id="Maven" order="10" />
      <window_info active="true" anchor="right" id="Database" order="11" visible="true" weight="0.4080537" />
    </layout>
    <layout-to-restore>
      <window_info content_ui="combo" id="Project" order="0" visible="true" weight="0.14322917" />
      <window_info id="Structure" order="1" weight="0.25" />
      <window_info id="Capture Tool" order="2" />
      <window_info id="Designer" order="3" />
      <window_info id="UI Designer" order="4" />
      <window_info id="Favorites" order="5" side_tool="true" />
      <window_info id="Image Layers" order="6" />
      <window_info anchor="bottom" id="Inspection Results" order="0" weight="0.32894737" />
      <window_info anchor="bottom" id="Message" order="1" />
      <window_info anchor="bottom" id="Find" order="2" />
      <window_info anchor="bottom" id="Run" order="3" sideWeight="0.49583334" visible="true" weight="0.22149123" />
      <window_info anchor="bottom" id="Debug" order="4" weight="0.39364034" />
      <window_info anchor="bottom" id="Cvs" order="5" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="6" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="7" />
      <window_info anchor="bottom" id="Event Log" order="8" sideWeight="0.50416666" side_tool="true" weight="0.22149123" />
      <window_info anchor="bottom" id="Version Control" order="9" weight="0.32894737" />
      <window_info anchor="bottom" id="Terminal" order="10" weight="0.32894737" />
      <window_info anchor="bottom" id="Messages" order="11" weight="0.013157895" />
      <window_info anchor="right" id="Dynamic Properties" order="0" />
      <window_info anchor="right" id="Commander" order="1" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="2" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="3" weight="0.25" />
      <window_info anchor="right" id="Palette" order="4" />
      <window_info anchor="right" id="Maven Projects" order="5" />
      <window_info anchor="right" id="Capture Analysis" order="6" />
      <window_info anchor="right" id="Coverage" order="7" side_tool="true" weight="0.16458334" />
      <window_info anchor="right" id="Theme Preview" order="8" />
      <window_info anchor="right" id="Palette&#9;" order="9" />
    </layout-to-restore>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsManagerConfiguration">
    <option name="LAST_COMMIT_MESSAGE" value="" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/src/src/jpp/wuetunes/Readme.txt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="168">
          <caret line="8" selection-start-line="8" selection-end-line="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/src/jpp/wuetunes/io/files/id3/ID3TagReaderException.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="84">
          <caret line="4" column="62" selection-start-line="4" selection-start-column="43" selection-end-line="4" selection-end-column="62" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/src/jpp/wuetunes/io/files/id3/ID3Utils.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="494">
          <caret line="59" column="26" selection-start-line="59" selection-start-column="22" selection-end-line="59" selection-end-column="26" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/src/jpp/wuetunes/util/Validate.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1152">
          <caret line="6" column="13" selection-start-line="6" selection-start-column="13" selection-end-line="6" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/src/jpp/wuetunes/model/SongFilterFactory.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="41">
          <caret line="43" column="60" selection-start-line="43" selection-start-column="55" selection-end-line="43" selection-end-column="60" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/src/jpp/wuetunes/io/files/SongsFileImportResult.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="315">
          <caret line="21" column="52" selection-start-line="21" selection-start-column="52" selection-end-line="21" selection-end-column="52" />
          <folding>
            <element signature="e#701#702#0" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/src/jpp/wuetunes/io/files/SongsFileImporter.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="305">
          <caret line="43" column="26" lean-forward="true" selection-start-line="43" selection-start-column="26" selection-end-line="43" selection-end-column="26" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/src/jpp/wuetunes/io/files/id3/ID3FrameBody.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="42">
          <caret line="2" column="17" selection-start-line="2" selection-start-column="17" selection-end-line="2" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/src/jpp/wuetunes/model/metadata/Metadata.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="5586">
          <caret line="273" lean-forward="true" selection-start-line="273" selection-end-line="273" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/src/jpp/wuetunes/model/metadata/MetadataPicture.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="84">
          <caret line="7" column="13" selection-start-line="7" selection-start-column="13" selection-end-line="7" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/database/medialibrary.db">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="328">
          <caret line="621" column="15" lean-forward="true" selection-start-line="621" selection-start-column="15" selection-end-line="621" selection-end-column="15" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/src/jpp/wuetunes/io/database/DatabaseReadException.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="189">
          <caret line="11" lean-forward="true" selection-start-line="11" selection-end-line="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/src/jpp/wuetunes/io/files/id3/ID3TagToMetadataConverter.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1270">
          <caret line="45" column="66" selection-start-line="45" selection-start-column="66" selection-end-line="45" selection-end-column="66" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/src/jpp/wuetunes/model/Song.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="618">
          <caret line="50" lean-forward="true" selection-start-line="50" selection-end-line="50" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/src/jpp/wuetunes/model/metadata/Genre.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="609">
          <caret line="35" selection-start-line="35" selection-end-line="35" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/src/jpp/wuetunes/model/metadata/GenreManager.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="669">
          <caret line="78" column="27" lean-forward="true" selection-start-line="78" selection-start-column="27" selection-end-line="78" selection-end-column="27" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/src/jpp/wuetunes/model/SongLibrary.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="74">
          <caret line="87" column="9" lean-forward="true" selection-start-line="87" selection-start-column="9" selection-end-line="87" selection-end-column="9" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/src/jpp/wuetunes/io/database/DatabaseWriteException.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="84">
          <caret line="6" column="33" selection-start-line="6" selection-start-column="33" selection-end-line="6" selection-end-column="33" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/src/jpp/wuetunes/gui/table.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="399">
          <caret line="41" selection-start-line="41" selection-end-line="41" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/src/jpp/wuetunes/gui/AlertBox.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="399">
          <caret line="24" column="34" selection-start-line="24" selection-start-column="34" selection-end-line="24" selection-end-column="34" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/src/jpp/wuetunes/gui/MediaControl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="924">
          <caret line="94" column="15" selection-start-line="94" selection-start-column="15" selection-end-line="94" selection-end-column="15" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/src/jpp/wuetunes/io/database/DatabaseConnection.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="7329">
          <caret line="374" column="9" selection-start-line="374" selection-start-column="9" selection-end-line="374" selection-end-column="9" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/src/jpp/wuetunes/io/files/id3/ID3FrameBodyAttachedPicture.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-168">
          <caret line="4" column="13" selection-start-line="4" selection-start-column="13" selection-end-line="4" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/src/jpp/wuetunes/io/files/id3/ID3Frame.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="306">
          <caret line="22" column="37" selection-start-line="22" selection-start-column="37" selection-end-line="22" selection-end-column="37" />
        </state>
      </provider>
    </entry>
    <entry file="file://$APPLICATION_CONFIG_DIR$/consoles/db/29048df1-464e-4b44-8ca1-71db619ab75f/console.sql">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/src/src/jpp/wuetunes/io/files/id3/ID3Encoding.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="68">
          <caret line="6" column="13" selection-start-line="6" selection-start-column="13" selection-end-line="6" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/src/jpp/wuetunes/io/files/id3/ID3FrameBodyTextInformation.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="119">
          <caret line="7" column="29" selection-start-line="7" selection-start-column="29" selection-end-line="7" selection-end-column="29" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/src/jpp/wuetunes/io/files/id3/ID3FrameBodyURLLink.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="34">
          <caret line="4" column="13" selection-start-line="4" selection-start-column="13" selection-end-line="4" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/src/jpp/wuetunes/io/files/id3/ID3FrameContentType.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="34">
          <caret line="2" column="12" selection-start-line="2" selection-start-column="12" selection-end-line="2" selection-end-column="12" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/src/jpp/wuetunes/io/files/id3/ID3TagReader.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="3842">
          <caret line="239" selection-start-line="239" selection-end-line="239" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/src/jpp/wuetunes/io/files/id3/ID3FrameHeader.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="34">
          <caret line="2" column="13" selection-start-line="2" selection-start-column="13" selection-end-line="2" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../multimod/multimod_w2025_stunde.sql">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/../multimod/multimod_w2008_data.sql">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="476">
          <caret line="28" column="37" selection-start-line="28" selection-start-column="37" selection-end-line="28" selection-end-column="37" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../agmeda/agmeda_tblphrases.sql" />
    <entry file="file://$PROJECT_DIR$/../multimod/multimod_w2007_data.sql">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1054">
          <caret line="43" column="35516" selection-start-line="43" selection-start-column="35516" selection-end-line="43" selection-end-column="35516" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../multimod/multimod_w1001_data.sql">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="542">
          <caret line="52" column="217621" selection-start-line="52" selection-start-column="217621" selection-end-line="52" selection-end-column="217621" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../agmeda/agmeda_tblmeteorologicaldatas.sql" />
    <entry file="file://$PROJECT_DIR$/../multimod/multimod_w1008_data.sql">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="238">
          <caret line="43" column="41159" selection-start-line="43" selection-start-column="41159" selection-end-line="43" selection-end-column="41159" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../multimod/multimod_w1237_data.sql">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="43">
          <caret line="43" column="393113" selection-start-line="43" selection-start-column="393112" selection-end-line="43" selection-end-column="393113" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../agmeda/agmeda_tblmeasurement.sql" />
    <entry file="file://$PROJECT_DIR$/../multimod/multimod_w1001_stunde.sql">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-391">
          <caret line="10" column="43" selection-start-line="10" selection-start-column="43" selection-end-line="10" selection-end-column="43" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../multimod/multimod_w2007_stunde.sql">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1566">
          <caret line="43" column="823989" selection-start-line="43" selection-start-column="823989" selection-end-line="43" selection-end-column="823989" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/src/jpp/wuetunes/io/files/id3/ID3FrameType.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="408">
          <caret line="26" column="51" selection-start-line="26" selection-start-column="51" selection-end-line="26" selection-end-column="51" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/src/jpp/wuetunes/io/files/id3/ID3Tag.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="153">
          <caret line="11" column="40" selection-start-line="11" selection-start-column="40" selection-end-line="11" selection-end-column="40" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/src/jpp/wuetunes/io/files/id3/ID3TagHeader.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="68">
          <caret line="4" column="13" selection-start-line="4" selection-start-column="13" selection-end-line="4" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/src/jpp/wuetunes/gui/Playlist.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="544">
          <caret line="38" column="53" selection-start-line="38" selection-start-column="53" selection-end-line="38" selection-end-column="53" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/src/jpp/wuetunes/model/Playlist.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="34">
          <caret line="106" column="46" selection-start-line="106" selection-start-column="46" selection-end-line="106" selection-end-column="46" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/src/jpp/wuetunes/WueTunes.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="221">
          <caret line="45" selection-start-line="45" selection-end-line="45" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/src/jpp/wuetunes/gui/gui.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="8649">
          <caret line="625" column="13" selection-start-line="625" selection-start-column="13" selection-end-line="625" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="das://29048df1-464e-4b44-8ca1-71db619ab75f/schema/main/table/genres">
      <provider selected="true" editor-type-id="com.intellij.database.editor.DatabaseTableFileEditorProvider">
        <state>
          <filtering enabled="true" />
        </state>
      </provider>
    </entry>
    <entry file="das://29048df1-464e-4b44-8ca1-71db619ab75f/schema/main/table/songs">
      <provider selected="true" editor-type-id="com.intellij.database.editor.DatabaseTableFileEditorProvider">
        <state>
          <filtering enabled="true" />
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ArtifactsStructureConfigurable.UI">
        <settings>
          <artifact-editor />
          <last-edited>w</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="FacetStructureConfigurable.UI">
        <settings>
          <last-edited>No facets are configured</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="GlobalLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="JdkListConfigurable.UI">
        <settings>
          <last-edited>1.8</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ModuleStructureConfigurable.UI">
        <settings>
          <last-edited>src</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
                <option value="0.6" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectLibrariesConfigurable.UI">
        <settings>
          <last-edited>sqlite-jdbc-3.21.0</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>